cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class VXU_V04

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.VXU_V04

-     public final class VXU_V04
      extends Message

  VXU_V04 - Unsolicited Vaccination Record Update (Event V04). This event is use for Unsolicited Vaccination Update. When a provider wishes to update the patient's vaccination record being held in a registry, he will transmit an unsolicited update of the record.

  Represents a VXU_V04 message structure (see chapter 4A.7.6 ) This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  5: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  6. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: PATIENT (a Group in VXU_V04 message ) SINGLE_OPTIONAL
  8: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  9: INSURANCE (a Group in VXU_V04 message) MULTIPLE_OPTIONAL
  10: PERSON OBSERVATION (a Group in VXU_V04 message) MULTIPLE_OPTIONAL
  11: ORDER (a Group in VXU_V04 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  VXU_V04 objV04 = (VXU_V04)MessageFactory.createInstance().createSendSupportedMessage("VXU", "V04");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGuarantorSegment(GT1 objGT1)` Adds Guarantor (global across all FT1s)(GT1 ) to this message.
    `void` | `addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)` Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
    `void` | `addInsuranceGroup(IGroup objGroup)` Adds Insurance GROUP to this message.
    `void` | `addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Insurance GROUP to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)` Adds Next of Kin/ Associated Parties (NK1 ) to this message.
    `void` | `addNextOfKinOrAssociatedPartiesSegments(ISingleCollection<NK1> objSegments)` Adds collection of Next of Kin/ Associated Parties (NK1) to this message.
    `void` | `addOrderGroup(IGroup objGroup)` Adds ORDER GROUP to this message.
    `void` | `addOrderGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of ORDER GROUP to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPersonObservationGroup(IGroup objGroup)` Adds Person Observation GROUP to this message.
    `void` | `addPersonObservationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Person Observation GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `PD1` | `getAdditinalDemographicsSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `ISingleCollection<GT1>` | `getGuarantorSegments()` Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
    `ISingleCollection<IGroup>` | `getInsuranceGroups()` Retrieves Collection of Insurance GROUP present in this message.
    `ISingleCollection<NK1>` | `getNextOfKinOrAssociatedPartiesSegments()` Retrieves Collection of Next of Kin/ Associated Parties (NK1) present in this message.
    `ISingleCollection<IGroup>` | `getOrderGroups()` Retrieves Collection of ORDER GROUP present in this message.
    `ISingleCollection<ARV>` | `getPatientIdentificationAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `IGroup` | `getPatientVisitGroup()` Retrieves Patient Visit Group present in this message.
    `ISingleCollection<IGroup>` | `getPersonObservationGroups()` Retrieves Collection of Person Observation GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setAdditinalDemographicsSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setPatientVisitGroup(IGroup objGroup)` Sets value of Patient Visit Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicsSegment

          public PD1 getAdditinalDemographicsSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicsSegment

          public void setAdditinalDemographicsSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### addNextOfKinOrAssociatedPartiesSegment

          public void addNextOfKinOrAssociatedPartiesSegment(NK1 objNK1)

      Adds Next of Kin/ Associated Parties (NK1 ) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin/ Associated Parties(NK1)

    - #### addNextOfKinOrAssociatedPartiesSegments

          public void addNextOfKinOrAssociatedPartiesSegments(ISingleCollection<NK1> objSegments)

      Adds collection of Next of Kin/ Associated Parties (NK1) to this message.
      Parameters:
        `objSegments` - Collection of Next of Kin/ Associated Parties(NK1)

    - #### getNextOfKinOrAssociatedPartiesSegments

          public ISingleCollection<NK1> getNextOfKinOrAssociatedPartiesSegments()

      Retrieves Collection of Next of Kin/ Associated Parties (NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin/ Associated Parties(NK1)

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientIdentificationAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientIdentificationAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### getPatientVisitGroup

          public IGroup getPatientVisitGroup()

      Retrieves Patient Visit Group present in this message.
      Returns:
        Group - Patient Visit Group present in this message.

    - #### setPatientVisitGroup

          public void setPatientVisitGroup(IGroup objGroup)

      Sets value of Patient Visit Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Visit Patient Group

    - #### addGuarantorSegment

          public void addGuarantorSegment(GT1 objGT1)

      Adds Guarantor (global across all FT1s)(GT1 ) to this message.
      Parameters:
        `objGT1` - Specified Guarantor(GT1) Segment.

    - #### addGuarantorSegments

          public void addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)

      Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
      Parameters:
        `objGT1SegmentCollection` - Collection of Diagnosis(GT1)

    - #### getGuarantorSegments

          public ISingleCollection<GT1> getGuarantorSegments()

      Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis(GT1)

    - #### getInsuranceGroups

          public ISingleCollection<IGroup> getInsuranceGroups()

      Retrieves Collection of Insurance GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Insurance Group present

    - #### addInsuranceGroups

          public void addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Insurance GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Insurance GROUP Collection.

    - #### addInsuranceGroup

          public void addInsuranceGroup(IGroup objGroup)

      Adds Insurance GROUP to this message.
      Parameters:
        `objGroup` - Specified Insurance GROUP.

    - #### getPersonObservationGroups

          public ISingleCollection<IGroup> getPersonObservationGroups()

      Retrieves Collection of Person Observation GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Person Observation Group present

    - #### addPersonObservationGroups

          public void addPersonObservationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Person Observation GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Person Observation GROUP Collection.

    - #### addPersonObservationGroup

          public void addPersonObservationGroup(IGroup objGroup)

      Adds Person Observation GROUP to this message.
      Parameters:
        `objGroup` - Specified Person Observation GROUP.

    - #### getOrderGroups

          public ISingleCollection<IGroup> getOrderGroups()

      Retrieves Collection of ORDER GROUP present in this message.
      Returns:
        ISingleCollection - Collection of ORDER Group present in this Message.

    - #### addOrderGroups

          public void addOrderGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of ORDER GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified ORDER GROUP Collection.

    - #### addOrderGroup

          public void addOrderGroup(IGroup objGroup)

      Adds ORDER GROUP to this message.
      Parameters:
        `objGroup` - Specified ORDER GROUP.